if not charSelectExists then return end

E_MODEL_FOREMAN_SPIKE = smlua_model_util_get_id("foreman_spike_geo")

local TEX_FOREMAN_SPIKE = get_texture_info("foreman-spike-icon")

VOICETABLE_FOREMAN_SPIKE = {
    [CHAR_SOUND_ATTACKED] = "foreman_spike_attacked.ogg",
    [CHAR_SOUND_COUGHING1] = "foreman_spike_coughing1.ogg",
    [CHAR_SOUND_COUGHING2] = "foreman_spike_coughing2.ogg",
    [CHAR_SOUND_COUGHING3] = "foreman_spike_coughing3.ogg",
    [CHAR_SOUND_DOH] = "foreman_spike_doh.ogg",
    [CHAR_SOUND_DROWNING] = "foreman_spike_drowning.ogg",
    [CHAR_SOUND_DYING] = "foreman_spike_dying.ogg",
    [CHAR_SOUND_EEUH] = "foreman_spike_eeuh.ogg",
    [CHAR_SOUND_GROUND_POUND_WAH] = "foreman_spike_ground_pound_wah.ogg",
    [CHAR_SOUND_HAHA] = "foreman_spike_haha.ogg",
    [CHAR_SOUND_HAHA_2] = "foreman_spike_haha.ogg",
    [CHAR_SOUND_HERE_WE_GO] = "foreman_spike_herewego.ogg",
    [CHAR_SOUND_HOOHOO] = "foreman_spike_hoohoo.ogg",
    [CHAR_SOUND_HRMM] = "foreman_spike_hrmm.ogg",
    [CHAR_SOUND_IMA_TIRED] = "foreman_spike_imatired.ogg",
    [CHAR_SOUND_MAMA_MIA] = "foreman_spike_mamamia.ogg",
    [CHAR_SOUND_LETS_A_GO] = "foreman_spike_letsago.ogg",
    [CHAR_SOUND_ON_FIRE] = "foreman_spike_on_fire.ogg",
    [CHAR_SOUND_OOOF] = "foreman_spike_ooof.ogg",
    [CHAR_SOUND_OOOF2] = "foreman_spike_ooof2.ogg",
    [CHAR_SOUND_PANTING] = "foreman_spike_panting.ogg",
    [CHAR_SOUND_PANTING_COLD] = "foreman_spike_panting_cold.ogg",
    [CHAR_SOUND_PUNCH_HOO] = "foreman_spike_punch_hoo.ogg",
    [CHAR_SOUND_PUNCH_WAH] = "foreman_spike_punch_wah.ogg",
    [CHAR_SOUND_PUNCH_YAH] = "foreman_spike_punch_yah.ogg",
    [CHAR_SOUND_SO_LONGA_BOWSER] = "foreman_spike_solonga_bowser.ogg",
    [CHAR_SOUND_SNORING1] = "foreman_spike_snoring1.ogg",
    [CHAR_SOUND_SNORING2] = "foreman_spike_snoring2.ogg",
    [CHAR_SOUND_SNORING3] = {"foreman_spike_snoring2.ogg", "foreman_spike_snoring1.ogg", "foreman_spike_snoring3.ogg"},
    [CHAR_SOUND_TWIRL_BOUNCE] = "foreman_spike_twirl_bounce.ogg",
    [CHAR_SOUND_UH] = "foreman_spike_uh.ogg",
    [CHAR_SOUND_UH2] = "foreman_spike_uh2.ogg",
    [CHAR_SOUND_UH2_2] = "foreman_spike_uh2_2.ogg",
    [CHAR_SOUND_WAAAOOOW] = "foreman_spike_waaaooow.ogg",
    [CHAR_SOUND_WAH2] = "foreman_spike_wah2.ogg",
    [CHAR_SOUND_WHOA] = "foreman_spike_whoa.ogg",
    [CHAR_SOUND_YAHOO] = "foreman_spike_yahoo.ogg",
    [CHAR_SOUND_YAWNING] = "foreman_spike_yawning.ogg",
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = { "foreman_spike_yahoo.ogg", "foreman_spike_yahoo1.ogg", "foreman_spike_yahoo2.ogg", "foreman_spike_yahoo3.ogg", "foreman_spike_yahoo4.ogg", "foreman_spike_yahoo5.ogg" },
    [CHAR_SOUND_YAH_WAH_HOO] = { "foreman_spike_yah_wah_hoo1.ogg", "foreman_spike_yah_wah_hoo2.ogg", "foreman_spike_yah_wah_hoo3.ogg"},
    [CHAR_SOUND_HELLO] = "foreman_spike_hello.ogg"
}

-- CAPS (Will be worked on in the future)
--local capSPIKE = {
    --normal = smlua_model_util_get_id("foreman_spike_cap_geo"),
    --wing = smlua_model_util_get_id("foreman_spike_wing_cap_geo"),
    --metal = smlua_model_util_get_id("foreman_spike_metal_cap_geo"),
    --metalWing = smlua_model_util_get_id("foreman_spike_metal_wing_cap_geo")
--}

local PALETTE_FOREMAN_SPIKE = {
    [PANTS]  = { r = 0x00, g = 0x00, b = 0xFF }, -- 0000FF
    [SHIRT]  = { r = 0x56, g = 0x8E, b = 0xFF }, -- 568EFF
    [GLOVES] = { r = 0xFF, g = 0xFF, b = 0x00 }, -- FFFF00
    [SHOES]  = { r = 0xE0, g = 0xAB, b = 0x2A }, -- E0AB2A
    [HAIR]   = { r = 0x00, g = 0x00, b = 0x00 }, -- 000000
    [SKIN]   = { r = 0xFE, g = 0xC1, b = 0x79 }, -- FEC179
    [CAP]    = { r = 0x56, g = 0x8E, b = 0xFF }, -- 568EFF
    [EMBLEM] = { r = 0xFF, g = 0xFF, b = 0x00 }  -- FFFF00
}

_G.CT_FOREMAN_SPIKE = charSelect.character_add("Spike", "Owner of the Wrecking Crew company and former boss of the Mario Brothers before they moved to the plumbing business! He's had a vendetta against the bros since! Quite versitile with his hammer!", "Coop Team / VA: VinnyVinesauce", {r = 88, g = 142, b = 255}, E_MODEL_FOREMAN_SPIKE, CT_WARIO, TEX_FOREMAN_SPIKE)
-- charSelect.character_add_caps(E_MODEL_FOREMAN_SPIKE, capSPIKE)
charSelect.character_add_voice(E_MODEL_FOREMAN_SPIKE, VOICETABLE_FOREMAN_SPIKE)
charSelect.character_add_palette_preset(E_MODEL_FOREMAN_SPIKE, PALETTE_FOREMAN_SPIKE)

